# MSA Workshop Exercises

For a SCALEXA MSA workshop (projects IFCES2 and MExMeMo), two exercises to showcase MSA workloads have been prepared.

* 1. Hello World: A very simple example sending a "Hello World" from different job components
* 2. Ping-Pong: A more sophisticated example sending messages also to a GPU

In each exercise, a `README.md` is provided to explain the setup. A `compile.sh` script takes care of invoking a `Makefile` with the right parameters. The individual executables should be compiled on the respective MSA modules.

Right now, ParaStationMPI is used per default. OpenMPI can also easily be used, you may test it as a part of your exploration.