# MSA Hello World

In this simple example, the Slurm heterogeneous job functionality is used to launch a job between JUWELS Cluster and Booster.

No C code is to be written for this exercise, but the batch script to submit the heterogeneous job to the JUWELS queues is to be completed. See `job_msa_juwels.sh` for instructions.

To compile the Booster part of the application, execute the following on JUWELS Booster

```bash
bash compile.sh
```

After completing the TODOs in the `job_msa_juwels.sh` batch script, execute the following on JUWELS Cluster to first compile the heterogeneous application and then submit it to the batch queue.

```bash
bash compile.sh
sbatch job_msa_juwels.sh
```

Monitor your job with `squeue --me`. When it ran through successfully, have a look at the output in `slurm-out.N`, with `N` being your job number.