if [[ "$SYSTEMNAME" == "juwelsbooster" ]]; then
	echo "Building for $SYSTEMNAME"
	ml GCC ParaStationMPI
	make SYS=$SYSTEMNAME
elif [[ "$SYSTEMNAME" == "juwels" ]]; then
	echo "Building for $SYSTEMNAME"
	ml GCC ParaStationMPI
	make SYS=$SYSTEMNAME
else
	echo "The system $SYSTEMNAME is not supported!"
	echo "Please load a capable MPI and compile the executables on each system with"
	echo "make SYS=PARTIONNAME"
fi